Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class SourceFileConstants

    java.lang.Object
      net.sourceforge.pmd.SourceFileConstants

public class SourceFileConstants
extends java.lang.Object

Constants used when handling names of source files.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Field Summary
`static java.lang.String` | `JAVA_EXTENSION_UPPERCASE`
`static java.lang.String` | `JSP_EXTENSION_UPPERCASE`
`static java.lang.String` | `JSPX_EXTENSION_UPPERCASE`

Constructor Summary
`SourceFileConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVA_EXTENSION_UPPERCASE

    public static final java.lang.String JAVA_EXTENSION_UPPERCASE

See Also:
  Constant Field Values

### JSP_EXTENSION_UPPERCASE

    public static final java.lang.String JSP_EXTENSION_UPPERCASE

See Also:
  Constant Field Values

### JSPX_EXTENSION_UPPERCASE

    public static final java.lang.String JSPX_EXTENSION_UPPERCASE

See Also:
  Constant Field Values

Constructor Detail

### SourceFileConstants

    public SourceFileConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.